#include <startup.h>
#include <LPC214x.H>                 /* LPC21xx definitions                  */

void BacklightOn(void) {
	PINSEL1 &= 0xFFFFF3FF;
	PINSEL1 |= 0x00000400;		// PWM5 P0.21
	PWMPR = 0x00;			    // counter clk is Fpclk
	PWMMR0 = 50;
	PWMMR5 = 10;
	PWMLER = 0x20;
	PWMPCR = 0x2000;
	PWMTCR = 0x09;
	}

int main() {
	Initialize();
	BacklightOn();
	for(;;);
	}
